## haskell-binary 0.3

=== tests/Makefile ===
all: compiled
     
interpreted:
	runhaskell QC.hs 1000

compiled:
	ghc --make -O QC.hs -o qc -no-recomp
	time ./qc 1000

bench:: Benchmark.hs MemBench.hs CBenchmark.o
	ghc --make -O Benchmark.hs -fasm CBenchmark.o -o bench -no-recomp
	time ./bench

bench-nb::
	ghc --make -O NewBenchmark.hs -fasm -o bench-nb
	time ./bench-nb

CBenchmark.o: CBenchmark.c
	gcc -O -c $< -o $@

hugs:
	runhugs -98 QC.hs  


HeapUse: HeapUse.hs
	ghc --make -O $^ -fasm -o $@

heap: HeapUse
	./HeapUse +RTS -M10M -t/dev/stderr -RTS

clean:
	rm -f *.o *.hi qc bench bench-nb *~

.PHONY: clean bench bench-nb

## haskell-binary 0.4.1

=== tests/Makefile ===
all: compiled
     
interpreted:
	runhaskell QC.hs 1000

compiled:
	ghc --make -O QC.hs -o qc -no-recomp -threaded
	time ./qc 500 +RTS -qw -N2

bench:: Benchmark.hs MemBench.hs CBenchmark.o
	ghc --make -O2 -fliberate-case-threshold=1000 Benchmark.hs -fasm CBenchmark.o -o bench -no-recomp
	time ./bench 100

bench-nb::
	ghc --make -O2 -fliberate-case-threshold=1000 NewBenchmark.hs -fasm -o bench-nb
	time ./bench-nb 

CBenchmark.o: CBenchmark.c
	gcc -O -c $< -o $@

hugs:
	runhugs -98 QC.hs  


HeapUse: HeapUse.hs
	ghc --make -O $^ -fasm -o $@

heap: HeapUse
	./HeapUse +RTS -M10M -t/dev/stderr -RTS

clean:
	rm -f *.o *.hi qc bench bench-nb *~

.PHONY: clean bench bench-nb

## haskell-binary 0.5.0.1

=== tests/Makefile ===
all: compiled
     
interpreted:
	runhaskell QC.hs 1000

compiled:
	ghc --make -fhpc -O QC.hs -o qc -no-recomp -threaded
	./qc 500 +RTS -qw -N2

bench:: Benchmark.hs MemBench.hs CBenchmark.o
	ghc --make -O2 Benchmark.hs -fasm CBenchmark.o -o bench -no-recomp
	./bench 100

bench-nb::
	ghc --make -O2 -fliberate-case-threshold=1000 NewBenchmark.hs -fasm -o bench-nb
	./bench-nb 

CBenchmark.o: CBenchmark.c
	gcc -O -c $< -o $@

hugs:
	runhugs -98 QC.hs  


HeapUse: HeapUse.hs
	ghc --make -O $^ -fasm -o $@

heap: HeapUse
	./HeapUse +RTS -M10M -t/dev/stderr -RTS

clean:
	rm -f *.o *.hi qc bench bench-nb *~

.PHONY: clean bench bench-nb

## haskell-binary 0.5.0.2

=== debian/changelog ===
haskell-binary (0.5.0.2-2build1) oneiric; urgency=low

  * No change rebuild against new GHC ABIs

 -- Iain Lane <laney@ubuntu.com>  Mon, 06 Jun 2011 09:33:12 +0100

haskell-binary (0.5.0.2-2) unstable; urgency=low

  [ Marco Túlio Gontijo e Silva ]
  * debian/source/format: Use 3.0 (quilt).

  [ Marco Silva ]
  * Use ghc instead of ghc6

 -- Joachim Breitner <nomeata@debian.org>  Wed, 13 Apr 2011 11:30:01 +0530

haskell-binary (0.5.0.2-1) unstable; urgency=low

  [ Joachim Breitner ]
  * New upstream release 
  * Adopt by Debian Haskell Group 

  [ Marco Túlio Gontijo e Silva ]
  * Use debian/compat 7.

  [ Joachim Breitner ]
  * Remove hugs package

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Feb 2010 15:45:20 +0100

haskell-binary (0.5.0.1-1) unstable; urgency=low

  * New upstream release

 -- Kari Pahula <kaol@debian.org>  Mon, 18 May 2009 15:00:37 +0300

haskell-binary (0.5-2) unstable; urgency=low

  * Added ghc6-doc as a build dep, again.
  * Built against new haddock and haskell-devscripts, to get arch
    independent .haddock files again.

 -- Kari Pahula <kaol@debian.org>  Wed, 25 Feb 2009 15:34:09 +0200

haskell-binary (0.5-1) unstable; urgency=low

  * New upstream release
  * Use haskell-devscripts's hlibrary.mk, don't include a copy of it
    anymore.

 -- Kari Pahula <kaol@debian.org>  Tue, 24 Feb 2009 16:13:02 +0200

haskell-binary (0.4.4-2) unstable; urgency=low

  * Updated hlibrary.mk to put .haddock file to -dev package.

 -- Kari Pahula <kaol@debian.org>  Fri, 20 Feb 2009 09:25:37 +0200

haskell-binary (0.4.4-1) unstable; urgency=low

  * New upstream release
  * Built against ghc6 6.10.1.
  * Updated hlibrary.mk.

 -- Kari Pahula <kaol@debian.org>  Tue, 17 Feb 2009 22:55:20 +0200

haskell-binary (0.4.1-3) unstable; urgency=low

  * Don't use runhaskell but compile Setup.lhs to avoid ghc6's "not built
    for interactive use" errors on most arches.

 -- Kari Pahula <kaol@debian.org>  Sat, 19 Jan 2008 04:13:48 +0200

haskell-binary (0.4.1-2) unstable; urgency=low

  * Added missing build-dep ghc6-prof.

 -- Kari Pahula <kaol@debian.org>  Sat, 19 Jan 2008 03:36:35 +0200

haskell-binary (0.4.1-1) unstable; urgency=low

  * New upstream release (Closes: #445751)
  * Use haskell-devscripts, dh_haskell and cdbs instead of haskell-utils.
  * Added a hugs library package, library with profiling support for GHC
    and a doc package.

 -- Kari Pahula <kaol@debian.org>  Sun, 13 Jan 2008 16:01:21 +0200

haskell-binary (0.3-2) unstable; urgency=low

  * Rebuilt and updated dependencies for ghc 6.6.1

 -- Kari Pahula <kaol@debian.org>  Mon, 14 May 2007 15:16:11 +0300

haskell-binary (0.3-1) unstable; urgency=low

  * New upstream release

 -- Kari Pahula <kaol@debian.org>  Sat, 14 Apr 2007 16:54:21 +0300

haskell-binary (0.2-1) unstable; urgency=low

  * Uses Ian Lynagh's Generic Haskell cabal library debian/rules v0.6.
  * Initial release (Closes: #413833)

 -- Kari Pahula <kaol@debian.org>  Fri,  9 Mar 2007 14:38:35 +0200

=== debian/control ===
Source: haskell-binary
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Joachim Breitner <nomeata@debian.org>
Build-Depends:
 haskell-devscripts (>= 0.7),
 debhelper (>= 7),
 cdbs,
 ghc,
 ghc-prof,
 ghc-doc,
 cpphs,
Standards-Version: 3.8.4
Homepage: http://code.haskell.org/binary/
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-binary/
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-binary

Package: libghc-binary-dev
Architecture: any
Depends: ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Haskell library for binary serialisation using lazy ByteStrings
 Binary serialisation of Haskell values to and from lazy ByteStrings.
 The Binary library provides methods for encoding Haskell values as
 streams of bytes directly in memory. The resulting ByteString can
 then be written to disk, sent over the network, or futher processed
 (for example, compressed with gzip).
 .
 The 'Binary' package is notable in that it provides both pure, and
 high performance serialisation.
 .
 Values are always encoded in network order (big endian) form, and
 encoded data should be portable across machine endianness, word size,
 or compiler version. For example, data encoded using the Binary class
 could be written from GHC, and read back in Hugs.

Package: libghc-binary-prof
Architecture: any
Depends: ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Haskell library for binary serialisation; profiling library
 This package provides a library for the Haskell programming language,
 compiled for profiling.
 .
 Binary serialisation of Haskell values to and from lazy ByteStrings.
 The Binary library provides methods for encoding Haskell values as
 streams of bytes directly in memory. The resulting ByteString can
 then be written to disk, sent over the network, or futher processed
 (for example, compressed with gzip).

Package: libghc-binary-doc
Architecture: all
Section: doc
Depends: ${haskell:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: Haskell library for binary serialisation; documentation
 This package provides documentation for Data.Binary Haskell module.
 .
 Binary serialisation of Haskell values to and from lazy ByteStrings.
 The Binary library provides methods for encoding Haskell values as
 streams of bytes directly in memory. The resulting ByteString can
 then be written to disk, sent over the network, or futher processed
 (for example, compressed with gzip).

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/hlibrary.mk

binary-fixup/libghc-binary-doc::
	chmod -x debian/$(notdir $@)/usr/share/doc/$(notdir $@)/examples/*

=== debian/watch ===
version=3
opts="downloadurlmangle=s|archive/([\w\d_-]+)/([\d\.]+)/|archive/$1/$2/$1-$2.tar.gz|,\
filenamemangle=s|(.*)/$|binary-$1.tar.gz|" \
    http://hackage.haskell.org/packages/archive/binary \
    ([\d\.]*\d)/

## haskell-binary 0.5.1.0

=== debian/changelog ===
haskell-binary (0.5.1.0-1) unstable; urgency=low

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Tue, 07 Feb 2012 23:22:39 +0100

## haskell-binary 0.7.2.1

=== debian/changelog ===
haskell-binary (0.7.2.1-1) unstable; urgency=low

  * Re-add a dedicated binary package. Agda needs a newer binary than the
    version that comes with GHC.

 -- Joachim Breitner <nomeata@debian.org>  Sat, 26 Jul 2014 14:12:53 +0200

=== debian/control ===
Source: haskell-binary
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Joachim Breitner <nomeata@debian.org>
Build-Depends: debhelper (>= 9)
  , cdbs
  , haskell-devscripts (>= 0.8.15)
  , ghc
  , ghc-prof
Build-Depends-Indep: ghc-doc
Standards-Version: 3.9.2
Homepage: http://hackage.haskell.org/package/binary
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-binary
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-binary
X-Description: Haskell library for binary serialisation
 Binary serialisation of Haskell values to and from lazy ByteStrings.
 The Binary library provides methods for encoding Haskell values as
 streams of bytes directly in memory. The resulting ByteString can
 then be written to disk, sent over the network, or futher processed
 (for example, compressed with gzip).

Package: libghc-binary-dev
Architecture: any
Depends: ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-binary-prof
Architecture: any
Depends: ${haskell:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-binary-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${haskell:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

=== debian/watch ===
version=3
http://hackage.haskell.org/package/binary/distro-monitor .*-([0-9\.]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
